weka.classifiers.functions.explicitboundaries.gemoetry

## Class GrammShmidtOrthonormal

- java.lang.Object
- - weka.classifiers.functions.explicitboundaries.gemoetry.GrammShmidtOrthonormal

- All Implemented Interfaces:
    Serializable, weka.core.Debuggable

      public class GrammShmidtOrthonormal
      extends Object
      implements Serializable, weka.core.Debuggable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GrammShmidtOrthonormal()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `weka.core.Instance[]` | `createOrthonormalBase(weka.core.Instance[] base)`
    `DotProduct` | `getDotProd()`
    `boolean` | `isDebug()`
    `void` | `setDebug(boolean debug)`
    `void` | `setDotProd(DotProduct dotProd)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GrammShmidtOrthonormal

          public GrammShmidtOrthonormal()

  - ### Method Detail

    - #### createOrthonormalBase

          public weka.core.Instance[] createOrthonormalBase(weka.core.Instance[] base)
                                                     throws Exception

      Throws:
        `Exception`

    - #### getDotProd

          public DotProduct getDotProd()

      Returns:
        the dotProd

    - #### setDotProd

          public void setDotProd(DotProduct dotProd)

      Parameters:
        `dotProd` - the dotProd to set

    - #### isDebug

          public boolean isDebug()

      Specified by:
        `isDebug` in interface `weka.core.Debuggable`
      Returns:
        the debug

    - #### setDebug

          public void setDebug(boolean debug)

      Specified by:
        `setDebug` in interface `weka.core.Debuggable`
      Parameters:
        `debug` - the debug to set

Copyright © 2019. All Rights Reserved.